ChiliProject - Bug # 924: bluefeather and rdiscount not in Gemfile, but they're required by rake
db:migrate

Status: Declined Priority: Normal
Author: Andrey Mikhaylov Category:

Created: 2012-03-08 Assignee:

Updated: 2012-03-09 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: I've been upgrading 2.2 to 3.0 using the upgrade manual.

When doing @bundle exec rake db:migrate RAILS_ENV=production@, i had the following errors
(separately):

<pre>

no such file to load -- bluefeather
no such file to load -- rdiscount
</pre>

After adding those to @Gemfile@, the migration went all right.

History

2012-03-08 09:08 pm - Andrey Mikhaylov

- Target version deleted (3.1.0)

Ah... | should've set the affected version to 3.0. And now i can't find where to change it.

2012-03-09 07:09 am - Felix Schéfer
- Category deleted (Versions)

- Affected version set to 3.0.0

Hi Andrey, those are probably gems needed for a plugin, aren't they? | can't see them mentioned in the ChiliProject corea€|

2012-03-09 07:16 am - Andrey Mikhaylov

- Status changed from Open to Declined

You're right, Felix! Both of those gems are required by plugins i had installed.

Sorry for disturbance.

2012-03-09 07:18 am - Felix Schafer

No problem. You can even add those to the plugins in a @Gemfile@ directly in the plugin's root directory, or add them locally to your ChiliProject in a
@Gemfile.local@, this way you don't need to edit and won't have problems updating the stock @Gemfile@.
